| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Master

Portability | unportable
Stability | unstable
Maintainer | Ismael Carnales <icarnales@gmail.com>

Contents

Usage

Description
Layout modfier that adds a master window to another layout.
Synopsis

mastered :: LayoutClass l a => Rational -> Rational -> l a -> ModifiedLayout AddMaster l a

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Master

Then edit your `layoutHook` and add the Master modifier to the layout that you prefer.

     mastered (1/100) (1/2) $ Grid

This will use the left half of your screen for a master window and let Grid manage the right half.

For more detailed instructions on editing the layoutHook see XMonad.Doc.Extending.

Like XMonad.Layout.Tall, withMaster supports the XMonad.Layout.Shrink and XMonad.Layout.Expand' messages.

mastered | Source

:: LayoutClass l a |
=> Rational | `delta`, the ratio of the screen to resize by
-> Rational | `frac`, what portion of the screen to use for the master window
-> l a | the layout to be modified
-> ModifiedLayout AddMaster l a |
Modifier which converts given layout to a mastered one

Produced by Haddock version 2.4.2